Skip to main content

Get all service requests

GEThttps://api.propexo.com/v1/service-requests/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external ID from the integration vendor

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

unit_id string

The Propexo unique identifier for the unit

employee_id string

The Propexo unique identifier for the employee

vendor_id string

The Propexo unique identifier for the vendor

property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

unit_number string

The unit number of the service request. When using this, the Propexo property_id filter must be added as well.

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the service request

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: cl9kz7rp10005usxq3mk0e2gl
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: cl9kz7rp10006usxq3mk0e2gl
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for YARDI_REST

    Example: null
    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: cl9kz7rp10007usxq3mk0e2gl
    x_sub_task_idnullrequired

    The external ID of the sub task from the integration vendor

    Notice

    This field will always be null for YARDI_REST

    Example: null
    access_is_authorizedboolean | nullnullablerequired

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: true
    access_notesnullrequired

    Notes regarding access to the unit associated with the service request

    Notice

    This field will always be null for YARDI_REST

    Example: null
    buildingnullrequired

    The building name associated with the service request

    Notice

    This field will always be null for YARDI_REST

    Example: null
    completion_notesnullrequired

    Closing notes associated with the service request

    Notice

    This field will always be null for YARDI_REST

    Example: null
    date_completedstring | nullnullablerequired

    The date the service request was completed

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: 2024-03-15T00:00:00.000Z
    date_createdstring | nullnullablerequired

    The date the service request was created

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: 2024-01-10T00:00:00.000Z
    date_duenullrequired

    The due date associated with the service request

    Notice

    This field will always be null for YARDI_REST

    Example: null
    date_schedulednullrequired

    The date the service request is scheduled

    Notice

    This field will always be null for YARDI_REST

    Example: null
    notesnullrequireddeprecated

    DEPRECATED: Please use 'history' for reading notes regarding the service request

    Notice

    This field will always be null for YARDI_REST

    Example: null
    service_categorystring | nullnullablerequired

    The category of service request

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: HVAC
    service_descriptionstring | nullnullablerequired

    A description of the service request

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: Resident says AC is not cold
    service_detailsstring | nullnullablerequired

    Details about the service request

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: Filter is due to be changed
    service_prioritystring | nullnullablerequired

    The priority level associated with the service request

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: High
    status_rawstring | nullnullablerequired

    The raw status associated with the service request

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: In Progress
    vendor_notesstring | nullnullablerequired

    Vendor/technician notes associated with the service request

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: Resident dog is growling, will follow up later
    unit_numberstring | nullnullablerequired

    The unit number associated with the service request. This isn't always provided by PMS vendors, but may be the only data provided to identify a unit associated with a service request in some cases.

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: 102
    order_numbernullrequired

    The order number of the service request

    Notice

    This field will always be null for YARDI_REST

    Example: null
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum25required

    The property management system of record

    Show 13 enum values
    YARDI_RESTAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDI
    Example: YARDI_REST
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: cl7t4tlme0003usxq5zk0e5gl
    employee_idnullrequired

    The Propexo unique identifier for the employee

    Notice

    This field will always be null for YARDI_REST

    Example: null
    vendors object[]required

    List of vendor IDs associated with the service request

    Notice

    This field is not currently hydrated for YARDI_REST

  • Array [
  • vendor_idstringrequired
  • ]
  • history object[]required

    History of notes and/or updates related to the service request

  • Array [
  • idstringrequired

    The Propexo unique identifier for the service request history

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstringrequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: cl9kz7rp10002usxq3mk0e2gl
    x_created_atstring | nullnullablerequired

    The date the record first entered the integration vendor

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: 2024-01-10T00:00:00.000Z
    notesstringrequired

    Notes describing the service request history

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: In Progress
    creator_namenullrequired

    The name of the person or user that created the service request history

    Notice

    This field will always be null for YARDI_REST

    Example: null
    status_rawstring | nullnullablerequired

    The raw status from the service request history

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: In Progress
    service_request_idstringrequired

    The Propexo unique identifier for the service request

    MethodInterface
    /ItfServiceRequests/GetServiceRequestsService Requests
    /ItfServiceRequests/GetServiceRequestSearchService Requests
    Example: cl7t4tlme0000usxq5zk0e5gl
  • ]
  • employees object[]required

    An array of all employees assigned to the service request

  • Array [
  • idstringrequired

    The Propexo unique identifier for the employee

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /ItfServiceRequests/GetCustomValuesService Requests
    /ItfProspect/GetYardiAgentsSourcesResultsILS Guest Card
    Example: cl9kz7rp10000usxq3mk0e2gl
    namestring | nullnullablerequired

    The name associated with the employee

    MethodInterface
    /ItfServiceRequests/GetCustomValuesService Requests
    /ItfProspect/GetYardiAgentsSourcesResultsILS Guest Card
    Example: Mark's Plumbing
  • ]
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/service-requests/
curl https://api.propexo.com/v1/service-requests/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "cl9kz7rp10005usxq3mk0e2gl",
"x_property_id": "cl9kz7rp10006usxq3mk0e2gl",
"x_location_id": null,
"x_unit_id": "cl9kz7rp10007usxq3mk0e2gl",
"x_sub_task_id": null,
"access_is_authorized": true,
"access_notes": null,
"building": null,
"completion_notes": null,
"date_completed": "2024-03-15T00:00:00.000Z",
"date_created": "2024-01-10T00:00:00.000Z",
"date_due": null,
"date_scheduled": null,
"service_category": "HVAC",
"service_description": "Resident says AC is not cold",
"service_details": "Filter is due to be changed",
"service_priority": "High",
"status_raw": "In Progress",
"vendor_notes": "Resident dog is growling, will follow up later",
"unit_number": "102",
"order_number": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI_REST",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "cl7t4tlme0003usxq5zk0e5gl",
"employee_id": null,
"vendors": [
{
"vendor_id": "string"
}
],
"history": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "cl9kz7rp10002usxq3mk0e2gl",
"x_created_at": "2024-01-10T00:00:00.000Z",
"notes": "In Progress",
"creator_name": null,
"status_raw": "In Progress",
"service_request_id": "cl7t4tlme0000usxq5zk0e5gl"
}
],
"employees": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "cl9kz7rp10000usxq3mk0e2gl",
"name": "Mark's Plumbing"
}
]
}
]
}